MSK4TextInternal::Ftnt Struct Reference

Internal: class to store footnote definition. More...

## Public Member Functions

| Ftnt ()
| constructor More...

## Public Attributes

int | m_type
| the note type More...
int | m_id
| the footnote number More...
long | m_begin
| the first offset in the text More...
long | m_end
| the last offset in the text More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Ftnt const &ftnt)
| operator<< More...

## Detailed Description

Internal: class to store footnote definition.

## Constructor & Destructor Documentation

MSK4TextInternal::Ftnt::Ftnt | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Ftnt const & | ftnt
| ) |  |

friend

operator<<

## Member Data Documentation

long MSK4TextInternal::Ftnt::m_begin

the first offset in the text

Referenced by MSK4Text::ftntDataParser(), MSK4TextInternal::operator<<(), and MSK4Text::readFootNote().

long MSK4TextInternal::Ftnt::m_end

the last offset in the text

Referenced by MSK4Text::ftntDataParser(), MSK4TextInternal::operator<<(), and MSK4Text::readFootNote().

std::string MSK4TextInternal::Ftnt::m_error

a string used to store the parsing errors

Referenced by MSK4Text::ftntDataParser(), and MSK4TextInternal::operator<<().

int MSK4TextInternal::Ftnt::m_id

the footnote number

Referenced by MSK4Text::ftntDataParser(), and MSK4TextInternal::operator<<().

int MSK4TextInternal::Ftnt::m_type

the note type

Checkme: can we find other values than 1 ?

Referenced by MSK4Text::ftntDataParser(), and MSK4TextInternal::operator<<().

The documentation for this struct was generated from the following file:

- MSK4Text.cxx